For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all accounting entities
        • GETGet accounting entity by id
        • GETGet all invoices
        • GETGet an invoice by ID
        • POSTCreate Invoice: ResMan
        • PUTUpdate Invoice: ResMan - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManInvoices

Create Invoice: ResMan

POST
/v1/invoices/resman/
POST
/v1/invoices/resman/
$curl -X POST https://api.propexo.com/v1/invoices/resman/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
> "property_id": "prop-1234567890abcdef",
> "vendor_id": "vend-0987654321fedcba",
> "invoice_number": "INV-20240115-001",
> "invoice_date": "2024-01-15T09:30:00Z",
> "due_date": "2024-02-14T23:59:59Z",
> "notes": "Monthly landscaping services for January 2024",
> "memo": "Approved by property manager on 2024-01-16",
> "total_amount_in_cents": 125000,
> "invoice_items": [
> {
> "financial_account_id": "finacct-1122334455667788",
> "quantity_ordered": 1,
> "unit_price_in_cents": 125000,
> "notes": "Landscaping maintenance service fee"
> }
> ]
>}'
1{
2 "meta": {
3 "job_id": "job-20240115-abcdef1234567890"
4 },
5 "result": {
6 "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
7 "property_id": "prop-1234567890abcdef",
8 "vendor_id": "vend-0987654321fedcba",
9 "invoice_number": "INV-20240115-001",
10 "invoice_date": "2024-01-15T09:30:00Z",
11 "accounting_date": "2024-01-15T09:30:00Z",
12 "due_date": "2024-02-14T23:59:59Z",
13 "notes": "Monthly landscaping services for January 2024",
14 "memo": "Approved by property manager on 2024-01-16",
15 "total_amount_in_cents": 125000,
16 "invoice_items": [
17 {
18 "financial_account_id": "finacct-1122334455667788",
19 "quantity_ordered": 1,
20 "unit_price_in_cents": 125000,
21 "notes": "Landscaping maintenance service fee"
22 }
23 ]
24 }
25}
Invoices created via the ResMan API begin in an unapproved state and then have to be approved by the PMC in the ResMan portal. | Interface | Method | |---|---| | Accounts Payable | /MITS/PostAccountsPayable4_0 | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Update Invoice: ResMan - Not Supported

Next
Built with

Invoices created via the ResMan API begin in an unapproved state and then have to be approved by the PMC in the ResMan portal.

InterfaceMethod
Accounts Payable/MITS/PostAccountsPayable4_0
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
property_idstringRequired
The Propexo unique identifier for the property
vendor_idstringRequired
The Propexo unique identifier for the vendor
invoice_numberstringRequired
The invoice or reference number that the vendor assigned to the service request
invoice_datestringRequired
The date of issuance for the invoice
due_datestringRequired
The due date associated with the invoice
notesstringRequired
Notes associated with the invoice
memostringRequired
Memo of the invoice
total_amount_in_centsintegerRequired>=0
The amount of the invoice, in cents
invoice_itemslist of objectsRequired
accounting_datestringOptional
The accounting date of the invoice. If this isn't provided, ResMan defaults this to the invoice date.

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error